/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.ui.editor.binding;

import org.eclipse.ui.IEditorPart;
import org.fortiss.af3.platform.raspberry.model.Core;
import org.fortiss.af3.platform.raspberry.ui.editor.CoreStructureEditor;
import org.fortiss.af3.platform.ui.editor.PlatformComponentStructureEditorBindingBase;

/**
 * 
 * @author chaudhary
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public class CoreStructureEditorBinding extends PlatformComponentStructureEditorBindingBase<Core> {

	/** {@inheritDoc} */
	@Override
	public Class<? extends IEditorPart> getEditorClass(Core core) {
		return CoreStructureEditor.class;
	}

	/** {@inheritDoc} */
	@Override
	public String getLabel(Core core) {
		return "Core Structure";
	}

}
